aboutsummaryrefslogtreecommitdiff
path: root/touch.sh
diff options
context:
space:
mode:
authorderekhe <derekhe@april1985.com>2015-06-27 18:15:41 +0800
committerderekhe <derekhe@april1985.com>2015-06-27 18:15:41 +0800
commitd7c40afa4334c25c967e8a83401ac1a968a0c084 (patch)
tree8fb36b1428ff96d6f03a75bfbbc47510fa82c37a /touch.sh
downloadwaveshare-7inch-touchscreen-driver-d7c40afa4334c25c967e8a83401ac1a968a0c084.tar.xz
waveshare-7inch-touchscreen-driver-d7c40afa4334c25c967e8a83401ac1a968a0c084.zip
Add touch support.
Diffstat (limited to 'touch.sh')
-rw-r--r--touch.sh62
1 files changed, 62 insertions, 0 deletions
diff --git a/touch.sh b/touch.sh
new file mode 100644
index 0000000..07b23a8
--- /dev/null
+++ b/touch.sh
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+### BEGIN INIT INFO
+# Provides: myservice
+# Required-Start: $remote_fs $syslog
+# Required-Stop: $remote_fs $syslog
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Put a short description of the service here
+# Description: Put a long description of the service here
+### END INIT INFO
+
+# Change the next 3 lines to suit where you install your script and what you want to call it
+DIR=/usr/bin/
+DAEMON=$DIR/touch.py
+DAEMON_NAME=touch
+
+# Add any command line options for your daemon here
+DAEMON_OPTS=""
+
+# This next line determines what user the script runs as.
+# Root generally not recommended but necessary if you are using the Raspberry Pi GPIO from Python.
+DAEMON_USER=root
+
+# The process ID of the script when it runs is stored here:
+PIDFILE=/var/run/$DAEMON_NAME.pid
+
+. /lib/lsb/init-functions
+
+do_start () {
+ log_daemon_msg "Starting system $DAEMON_NAME daemon"
+ start-stop-daemon --start --background --pidfile $PIDFILE --make-pidfile --user $DAEMON_USER --chuid $DAEMON_USER --startas $DAEMON -- $DAEMON_OPTS
+ log_end_msg $?
+}
+do_stop () {
+ log_daemon_msg "Stopping system $DAEMON_NAME daemon"
+ start-stop-daemon --stop --pidfile $PIDFILE --retry 10
+ log_end_msg $?
+}
+
+case "$1" in
+
+ start|stop)
+ do_${1}
+ ;;
+
+ restart|reload|force-reload)
+ do_stop
+ do_start
+ ;;
+
+ status)
+ status_of_proc "$DAEMON_NAME" "$DAEMON" && exit 0 || exit $?
+ ;;
+
+ *)
+ echo "Usage: /etc/init.d/$DAEMON_NAME {start|stop|restart|status}"
+ exit 1
+ ;;
+
+esac
+exit 0